﻿namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using EJGrid.Models;
    using System.Data.SqlClient;
    using System.Data;
    using System.Data.Entity;
    using SyncfusionMvcApplication1.Grid;


    public static class EmployeeRepository
    {
        public static IList<EMployee> GetAllRecords()
        {
            IList<EMployee> emp = (IList<EMployee>)HttpContext.Current.Session["Employees"];

            if (emp == null)
            {
                HttpContext.Current.Session["Employees"] = emp = (from ord in new NorthwindDataContext().EmployeeViews.Take(200)
                                                                  select new EMployee
                                                                  {
                                                                      EmployeeID = ord.EmployeeID,
                                                                      FirstName = ord.FirstName,
                                                                      Title = ord.Title,
                                                                      City = ord.City,
                                                                      Country = ord.Country,

                                                                  }).ToList();
               
            }
            return emp;
        }

      
    }
}

